// Reset

* {
  margin: 0;
  padding: 0;
}

// Colours

//light

$bg-colour: #fffffa;
$light-colour: #fafaf8;
$main-colour: #2e2e2e;
$p-colour: #4d4d4d;
$secondary-colour: #dfdfdf;
$highlight-colour: #c2ae91;

// Margins

$site-width: 960px;

html {
  background-color: $bg-colour;
}

$tiny-mg: 5px;
$sml-mg: 10px;
$med-mg: 20px;
$big-mg: 40px;
$large-mg: 80px;

// Typography

$sub-font: 7px;
$sml-font: 9px;
$book-font: 11px;
$med-font: 14px;
$big-font: 18px;
$lge-font: 20px;

h1,
h2,
h3,
h4,
p,
li,
a,
button,
label,
input,
span,
img,
div,
code {
  font-size: $book-font;
  line-height: 1.8;
  letter-spacing: 0.02em;
  font-family: "Suisse BP Serif", -apple-system, BlinkMacSystemFont, "Segoe UI",
    Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  color: $main-colour;
}
h1 {
  font-size: $lge-font;
  font-weight: normal;
}
h2 {
  font-size: $big-font;
}
h3,
h4 {
  font-size: $med-font;
  line-height: 1.3;
  font-weight: 500;
}
a {
  text-decoration: none;
  color: $highlight-colour;
}
li {
  list-style: none;
}
a,
p,
span,
input,
div,
li,
code {
  color: $p-colour;
}
pre,
pre code {
  display: none;
}
strong {
  font-weight: 600;
  color: $main-colour;
}

// UI elements
